LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 09-18-2017, 03:52 PM   #1
9unsnroses
LQ Newbie
 
Registered: Sep 2017
Posts: 2

Rep: Reputation: Disabled
Unhappy Package broken during re-installation. How do I re-install it properly


Hi,
I was trying to reinstall the "srvadmin-all"(Dell openmanage package) on proxmox(the repository it connects to is deb http://linux.dell.com/repo/community/ubuntu jessie openmanage
) and looks like the package got broke.
looks like I am able to uninstall the package using:
Code:
root@servername:/var# apt-get --auto-remove purge srvadmin-all
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package 'srvadmin-all' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 80 not upgraded.
But when I am trying to install it. I am getting below error.
If anyone can advise that will be great. thanks you!!

Code:
root@Servername:/var# apt-get install srvadmin-all
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  cim-schema libargtable2-0 libcimcclient0 libcmpicppimpl0 libopenwsman1 libslp1 libsysfs2 openwsman sfcb
  srvadmin-idrac-ivmcli srvadmin-idrac-snmp srvadmin-idrac-vmcli srvadmin-idracadm7 srvadmin-idracadm8
  srvadmin-itunnelprovider srvadmin-jre srvadmin-nvme srvadmin-omcommon srvadmin-oslog srvadmin-rac-components
  srvadmin-racdrsc srvadmin-smcommon srvadmin-smweb srvadmin-storage srvadmin-storage-cli srvadmin-storage-snmp
  srvadmin-storelib srvadmin-storelib-sysfs srvadmin-tomcat srvadmin-webserver syscfg
Suggested packages:
  slpd openslp-doc sblim-cmpi-base
The following NEW packages will be installed:
  cim-schema libargtable2-0 libcimcclient0 libcmpicppimpl0 libopenwsman1 libslp1 libsysfs2 openwsman sfcb
  srvadmin-all srvadmin-idrac-ivmcli srvadmin-idrac-snmp srvadmin-idrac-vmcli srvadmin-idracadm7
  srvadmin-idracadm8 srvadmin-itunnelprovider srvadmin-jre srvadmin-nvme srvadmin-omcommon srvadmin-oslog
  srvadmin-rac-components srvadmin-racdrsc srvadmin-smcommon srvadmin-smweb srvadmin-storage srvadmin-storage-cli
  srvadmin-storage-snmp srvadmin-storelib srvadmin-storelib-sysfs srvadmin-tomcat srvadmin-webserver syscfg
0 upgraded, 32 newly installed, 0 to remove and 80 not upgraded.
Need to get 0 B/76.5 MB of archives.
After this operation, 303 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Extracting templates from packages: 100%
Selecting previously unselected package libsysfs2:amd64.
(Reading database ... 39868 files and directories currently installed.)
Preparing to unpack .../libsysfs2_2.1.0+repack-4_amd64.deb ...
Unpacking libsysfs2:amd64 (2.1.0+repack-4) ...
Selecting previously unselected package libargtable2-0.
Preparing to unpack .../libargtable2-0_12-1.1_amd64.deb ...
Unpacking libargtable2-0 (12-1.1) ...
Selecting previously unselected package srvadmin-idracadm7.
Preparing to unpack .../srvadmin-idracadm7_8.4.0-1_all.deb ...
Unpacking srvadmin-idracadm7 (8.4.0-1) ...
Selecting previously unselected package srvadmin-idrac-snmp.
Preparing to unpack .../srvadmin-idrac-snmp_8.4.0-1_all.deb ...
Unpacking srvadmin-idrac-snmp (8.4.0-1) ...
Selecting previously unselected package srvadmin-idrac-ivmcli.
Preparing to unpack .../srvadmin-idrac-ivmcli_8.4.0-1_all.deb ...
Unpacking srvadmin-idrac-ivmcli (8.4.0-1) ...
Selecting previously unselected package srvadmin-idrac-vmcli.
Preparing to unpack .../srvadmin-idrac-vmcli_8.4.0-1_all.deb ...
Unpacking srvadmin-idrac-vmcli (8.4.0-1) ...
Selecting previously unselected package srvadmin-rac-components.
Preparing to unpack .../srvadmin-rac-components_8.4.0-1_amd64.deb ...
Unpacking srvadmin-rac-components (8.4.0-1) ...
Selecting previously unselected package srvadmin-racdrsc.
Preparing to unpack .../srvadmin-racdrsc_8.4.0-1_all.deb ...
Unpacking srvadmin-racdrsc (8.4.0-1) ...
Selecting previously unselected package srvadmin-idracadm8.
Preparing to unpack .../srvadmin-idracadm8_8.4.0-1_amd64.deb ...
Unpacking srvadmin-idracadm8 (8.4.0-1) ...
Setting up libsysfs2:amd64 (2.1.0+repack-4) ...
Processing triggers for libc-bin (2.19-18+deb8u7) ...
Selecting previously unselected package srvadmin-storelib-sysfs.
(Reading database ... 39917 files and directories currently installed.)
Preparing to unpack .../srvadmin-storelib-sysfs_8.4.0_amd64.deb ...
Unpacking srvadmin-storelib-sysfs (8.4.0) ...
Selecting previously unselected package srvadmin-storelib.
Preparing to unpack .../srvadmin-storelib_8.4.0_amd64.deb ...
Unpacking srvadmin-storelib (8.4.0) ...
Selecting previously unselected package srvadmin-smcommon.
Preparing to unpack .../srvadmin-smcommon_8.4.0_amd64.deb ...
Unpacking srvadmin-smcommon (8.4.0) ...
Selecting previously unselected package srvadmin-nvme.
Preparing to unpack .../srvadmin-nvme_8.4.0_amd64.deb ...
Unpacking srvadmin-nvme (8.4.0) ...
Selecting previously unselected package srvadmin-storage.
Preparing to unpack .../srvadmin-storage_8.4.0_amd64.deb ...
Unpacking srvadmin-storage (8.4.0) ...
Selecting previously unselected package cim-schema.
Preparing to unpack .../cim-schema_2.25.0-0ubuntu1_all.deb ...
Unpacking cim-schema (2.25.0-0ubuntu1) ...
Selecting previously unselected package libcimcclient0.
Preparing to unpack .../libcimcclient0_2.2.5-0ubuntu1_amd64.deb ...
Unpacking libcimcclient0 (2.2.5-0ubuntu1) ...
Selecting previously unselected package libcmpicppimpl0.
Preparing to unpack .../libcmpicppimpl0_2.0.3-0ubuntu2_amd64.deb ...
Unpacking libcmpicppimpl0 (2.0.3-0ubuntu2) ...
Selecting previously unselected package libslp1:amd64.
Preparing to unpack .../libslp1_1.2.1-10+deb8u1_amd64.deb ...
Unpacking libslp1:amd64 (1.2.1-10+deb8u1) ...
Selecting previously unselected package sfcb.
Preparing to unpack .../sfcb_1.3.8-0ubuntu2_amd64.deb ...
Unpacking sfcb (1.3.8-0ubuntu2) ...
Selecting previously unselected package srvadmin-omcommon.
Preparing to unpack .../srvadmin-omcommon_8.4.0-1_amd64.deb ...
Unpacking srvadmin-omcommon (8.4.0-1) ...
Selecting previously unselected package srvadmin-jre.
Preparing to unpack .../srvadmin-jre_8.4.0-1_amd64.deb ...
Unpacking srvadmin-jre (8.4.0-1) ...
Selecting previously unselected package srvadmin-tomcat.
Preparing to unpack .../srvadmin-tomcat_8.4.0-1_amd64.deb ...
Unpacking srvadmin-tomcat (8.4.0-1) ...
Selecting previously unselected package srvadmin-smweb.
Preparing to unpack .../srvadmin-smweb_8.4.0_amd64.deb ...
Unpacking srvadmin-smweb (8.4.0) ...
Selecting previously unselected package srvadmin-webserver.
Preparing to unpack .../srvadmin-webserver_8.4.0_amd64.deb ...
Unpacking srvadmin-webserver (8.4.0) ...
Selecting previously unselected package libopenwsman1.
Preparing to unpack .../libopenwsman1_2.2.3-0ubuntu4_amd64.deb ...
Unpacking libopenwsman1 (2.2.3-0ubuntu4) ...
Selecting previously unselected package openwsman.
Preparing to unpack .../openwsman_2.2.3-0ubuntu4_amd64.deb ...
Unpacking openwsman (2.2.3-0ubuntu4) ...
Selecting previously unselected package srvadmin-itunnelprovider.
Preparing to unpack .../srvadmin-itunnelprovider_8.4.0-1_amd64.deb ...
Unpacking srvadmin-itunnelprovider (8.4.0-1) ...
Selecting previously unselected package srvadmin-storage-snmp.
Preparing to unpack .../srvadmin-storage-snmp_8.4.0_amd64.deb ...
Unpacking srvadmin-storage-snmp (8.4.0) ...
Selecting previously unselected package srvadmin-storage-cli.
Preparing to unpack .../srvadmin-storage-cli_8.4.0_amd64.deb ...
Unpacking srvadmin-storage-cli (8.4.0) ...
Selecting previously unselected package syscfg.
Preparing to unpack .../syscfg_5.4.0-1877-1_amd64.deb ...
Unpacking syscfg (5.4.0-1877-1) ...
Selecting previously unselected package srvadmin-oslog.
Preparing to unpack .../srvadmin-oslog_8.4.0_all.deb ...
Unpacking srvadmin-oslog (8.4.0) ...
Selecting previously unselected package srvadmin-all.
Preparing to unpack .../srvadmin-all_8.4.0_amd64.deb ...
Unpacking srvadmin-all (8.4.0) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for systemd (215-17+deb8u6) ...
Setting up libargtable2-0 (12-1.1) ...
Setting up srvadmin-idracadm7 (8.4.0-1) ...
[ ok ] Starting instsvcdrv (via systemctl): instsvcdrv.service.
Setting up srvadmin-idrac-snmp (8.4.0-1) ...
Setting up srvadmin-idrac-ivmcli (8.4.0-1) ...
Setting up srvadmin-idrac-vmcli (8.4.0-1) ...
Setting up srvadmin-rac-components (8.4.0-1) ...
/opt/dell/srvadmin/lib64/srvadmin-idrac/register-rac-components.sh: 9: /opt/dell/srvadmin/lib64/srvadmin-idrac/register-rac-components.sh: GetRegVal: not found
Could not register data engine components because data engine not installed.
dpkg: error processing package srvadmin-rac-components (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up srvadmin-racdrsc (8.4.0-1) ...
dpkg: dependency problems prevent configuration of srvadmin-idracadm8:
 srvadmin-idracadm8 depends on srvadmin-rac-components (>= 8.4.0-1); however:
  Package srvadmin-rac-components is not configured yet.

dpkg: error processing package srvadmin-idracadm8 (--configure):
 dependency problems - leaving unconfigured
Setting up srvadmin-storelib-sysfs (8.4.0) ...
update-alternatives: using /lib/x86_64-linux-gnu/libsysfs.so.2 to provide /opt/lsi/3rdpartylibs/x86_64/libsysfs.so (srvadmin-storelib-sysfs) in auto mode
update-alternatives: warning: not replacing /opt/lsi/3rdpartylibs/x86_64/libsysfs.so with a link
update-alternatives: warning: not replacing /opt/lsi/3rdpartylibs/x86_64/libsysfs.so.2 with a link
Setting up srvadmin-storelib (8.4.0) ...
Setting up srvadmin-smcommon (8.4.0) ...
Setting up srvadmin-nvme (8.4.0) ...
Setting up srvadmin-storage (8.4.0) ...
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 9: /opt/dell/srvadmin//lib64/srvadmin-omilcore/Funcs.sh: No such file or directory
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 10: GetRegVal: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 11: GetRegVal: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 28: command=addepialias: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 38: command=addlrarespconfig: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage.sh: line 46: command=addpopalias: command not found
Setting up cim-schema (2.25.0-0ubuntu1) ...
Setting up libcimcclient0 (2.2.5-0ubuntu1) ...
Setting up libcmpicppimpl0 (2.0.3-0ubuntu2) ...
Setting up libslp1:amd64 (1.2.1-10+deb8u1) ...
Setting up sfcb (1.3.8-0ubuntu2) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Setting up srvadmin-omcommon (8.4.0-1) ...
Setting up srvadmin-jre (8.4.0-1) ...
Setting up srvadmin-tomcat (8.4.0-1) ...
Setting up srvadmin-smweb (8.4.0) ...
Setting up srvadmin-webserver (8.4.0) ...
Setting up libopenwsman1 (2.2.3-0ubuntu4) ...
Setting up openwsman (2.2.3-0ubuntu4) ...
Setting up srvadmin-itunnelprovider (8.4.0-1) ...
Setting up srvadmin-storage-snmp (8.4.0) ...
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage-snmp.sh: line 9: /opt/dell/srvadmin//lib64/srvadmin-omilcore/Funcs.sh: No such file or directory
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage-snmp.sh: line 10: GetRegVal: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage-snmp.sh: line 11: GetRegVal: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage-snmp.sh: line 14: GetSysId: command not found
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage-snmp.sh: line 17: command=addmpialias: command not found
Setting up srvadmin-storage-cli (8.4.0) ...
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage-cli.sh: line 6: /opt/dell/srvadmin//lib64/srvadmin-omilcore/Funcs.sh: No such file or directory
/opt/dell/srvadmin/lib64/srvadmin-storage/register-storage-cli.sh: line 9: GetSysId: command not found
bash: /opt/dell/srvadmin//lib64/srvadmin-omacore/cli_ini_modifier.sh: No such file or directory
Setting up syscfg (5.4.0-1877-1) ...
Setting up srvadmin-oslog (8.4.0) ...
dpkg: dependency problems prevent configuration of srvadmin-all:
 srvadmin-all depends on srvadmin-idracadm8 (>= 8.4.0); however:
  Package srvadmin-idracadm8 is not configured yet.
 srvadmin-all depends on srvadmin-rac-components (>= 8.4.0); however:
  Package srvadmin-rac-components is not configured yet.

dpkg: error processing package srvadmin-all (--configure):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.19-18+deb8u7) ...
Processing triggers for systemd (215-17+deb8u6) ...
Errors were encountered while processing:
 srvadmin-rac-components
 srvadmin-idracadm8
 srvadmin-all
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
Old 09-18-2017, 05:54 PM   #2
bigrigdriver
LQ Addict
 
Registered: Jul 2002
Location: East Centra Illinois, USA
Distribution: Debian stable
Posts: 5,908

Rep: Reputation: 355Reputation: 355Reputation: 355Reputation: 355
Instructions in this link at ubuntu.com might help.
https://askubuntu.com/questions/1038...alled-packages
 
Old 09-18-2017, 06:14 PM   #3
9unsnroses
LQ Newbie
 
Registered: Sep 2017
Posts: 2

Original Poster
Rep: Reputation: Disabled
I tried all the below commands in various combination but no luck:
sudo apt-get update

sudo apt-get clean

sudo apt-get autoremove

sudo apt-get update && sudo apt-get upgrade

sudo dpkg --configure -a

sudo apt-get install -f

apt-get --purge remove program_name
 
Old 09-18-2017, 06:41 PM   #4
RandomTroll
Senior Member
 
Registered: Mar 2010
Distribution: Slackware
Posts: 1,575

Rep: Reputation: 249Reputation: 249Reputation: 249
Slackware stores a file in /var/log/packages for every package; it lists every file in the package. If nothing else works, I write a script that greps each file name on all the other installed packages and remove all the files that appear in no other package. I've never found a conflict, but if I did I could refresh the install on the conflicting packages. Don't know about Ubuntu.
 
Old 09-19-2017, 12:24 AM   #5
ondoho
LQ Addict
 
Registered: Dec 2013
Posts: 17,426
Blog Entries: 10

Rep: Reputation: 5248Reputation: 5248Reputation: 5248Reputation: 5248Reputation: 5248Reputation: 5248Reputation: 5248Reputation: 5248Reputation: 5248Reputation: 5248Reputation: 5248
Quote:
ubuntu jessie
wtf.
and what distro are you running?
but even so, the errors from post #1 look very package-specific.
they occur while using shell scripts to set up some dependencies.
you really have to contact whoever threw something labeled "ubuntu jessie" at the world.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] aptitude: install new packages when an existing package has broken dependencies otoomet Linux - Software 6 02-20-2015 12:06 PM
I broke my package manager / broken package blocks installs [Debian Wheezy] arthoc Linux - Software 4 06-20-2014 03:57 AM
[SOLVED] Can't install slapd - Broken package luvshines Linux - Software 2 10-08-2010 03:43 PM
how to manually install a package when dpkg, apt-get are broken and system wont boot. hisnumber666 Linux - Software 17 05-02-2006 11:12 AM
synaptic package manager forcing me to delete a broken package mbman Linux - Software 6 04-25-2006 09:30 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 04:37 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration